View Issue Details

IDProjectCategoryView StatusLast Update
0014454LazarusLCLpublic2011-12-01 11:22
ReporterPhil Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformAll 
Product Version0.9.27 (SVN) 
Target Version0.9.28Fixed in Version0.9.27 (SVN) 
Summary0014454: AutoScroll default
DescriptionIn Delphi 7, AutoScroll always defaults to False when BorderStyle is changed to bsDialog. In fact, in Delphi 2006, AutoScroll default to False regardless of the BorderStyle setting.

In LCL, AutoScroll always default to True and does not appear to be affected by the setting of BorderStyle.

This appears to be a regression. Several of my modal dialogs that displayed fine with 0.9.26.2 now have scroll bars. In fact, the behavior is even stranger than that: they only have scroll bars on alternating calls to ShowModal.

Thanks.

-Phil
TagsNo tags attached.
Fixed in Revision21478,21479
LazTarget0.9.28
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2009-08-29 05:03

manager   ~0030223

Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-08-28 22:12 Phil New Issue
2009-08-28 22:12 Phil Widgetset => Win32/Win64
2009-08-28 22:19 Vincent Snijders LazTarget => 0.9.28
2009-08-28 22:19 Vincent Snijders Assigned To => Paul Ishenin
2009-08-28 22:19 Vincent Snijders Status new => assigned
2009-08-28 22:19 Vincent Snijders Target Version => 0.9.28
2009-08-29 05:03 Paul Ishenin Fixed in Revision => 21478
2009-08-29 05:03 Paul Ishenin Status assigned => resolved
2009-08-29 05:03 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-08-29 05:03 Paul Ishenin Resolution open => fixed
2009-08-29 05:03 Paul Ishenin Note Added: 0030223
2009-08-29 05:51 Paul Ishenin Fixed in Revision 21478 => 21478,21479
2009-09-10 08:53 Vincent Snijders Fixed in Version 0.9.29 (SVN) => 0.9.27 (SVN)
2011-12-01 11:22 Marc Weustink Status resolved => closed